Skip to main content
POST
/
v2
/
_actions
Create Laboredge Action
curl --request POST \
  --url https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_actions \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "action_timing": "<string>",
  "type": "<string>",
  "webhook": {
    "type": "<string>",
    "mandatory": true
  }
}
'
{
  "ctx_id": "<string>",
  "data": {
    "action_id": "<string>",
    "name": "<string>",
    "type": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.contactswing.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
required
Enter your ContactSwing JWT Bearer token.

Request Body

name
string
required
Action display name. Example: My Laboredge Action
description
string
required
Action purpose. Example: Search Jobs - Trigger if user is looking for jobs
action_timing
string
required
When to trigger: "DURING"
type
string
required
Action type: "LABOREDGE"
webhook
object
required
Laboredge webhook configuration
type
string
required
Operation type. Example: "upsert_candidate"
mandatory
boolean
Require Laboredge response before proceeding

Response

201 Created - Laboredge action created successfully
ctx_id
string
Request context ID
data
object
action_id
string
New Laboredge action ID
name
string
Action name
type
string
”LABOREDGE”
400 Bad Request - Invalid Laboredge webhook configuration 401 Unauthorized - Invalid token